Subject: Re: I forgot to ask when I was in Beijing: is there any one

From: Zheng Gengbin <[email-masked]>
Date: Fri, 13 Jun 1997 14:05:34 +0800 (EAT)

On Thu, 12 Jun 1997, Guansong Zhang wrote:

> On Jun 12, 10:33am, Xiaoming Li wrote:
> > Subject: I forgot to ask when I was in Beijing: is there any one
> >
> > working on semantics checking for HPF 2.0 ?
> >
> > ----------
> > Xiaoming Li    (315)443-3890 (o)
> > NPACT          (315)443-1973 (f)
> >
> >-- End of excerpt from Xiaoming Li
> 
> Both Xinying and I feel that it is not good to let hpfsc change parsing tree.
> We should modify hpf2dep if AST is not desirable. In this way, hpfsc can be
> considered as an option in parser. But now we have to consider it part of the
> parser, and use it every time among the intermediate transformation.
> 
> So if semantics checking is added for HPF 2.0, please pay attention to this.
> 
> Guansong
> 

	In fact as hpf2dep stage , many thing remained undecide . For example,
you cannot tell if a(10) is an array or a function call . Only after
semantic checking , you can decide that . That why  hpfsc will use the 
semantic checking result to change the IR .

Zheng